chiark
/
gitweb
/
~mdw
/
termux-packages
/ commitdiff
commit
grep
author
committer
pickaxe
?
search:
re
summary
|
shortlog
|
log
|
commit
| commitdiff |
tree
raw
|
patch
|
inline
| side by side (from parent 1:
a0161a8
)
Use termux_error_exit in more cases
author
Fredrik Fornwall
<fredrik@fornwall.net>
Sun, 5 Mar 2017 02:30:38 +0000
(
03:30
+0100)
committer
Fredrik Fornwall
<fredrik@fornwall.net>
Sun, 5 Mar 2017 02:30:38 +0000
(
03:30
+0100)
packages/git/build.sh
patch
|
blob
|
blame
|
history
packages/libllvm/build.sh
patch
|
blob
|
blame
|
history
packages/picolisp/build.sh
patch
|
blob
|
blame
|
history
packages/python/build.sh
patch
|
blob
|
blame
|
history
diff --git
a/packages/git/build.sh
b/packages/git/build.sh
index db94a43ebda74a746dd7b90bd4b7ac026b179a76..de96545afa74323a20e33eb09660d47d192cb954 100755
(executable)
--- a/
packages/git/build.sh
+++ b/
packages/git/build.sh
@@
-63,7
+63,6
@@
termux_step_post_make_install () {
termux_step_post_massage () {
if [ ! -f libexec/git-core/git-remote-https ]; then
termux_step_post_massage () {
if [ ! -f libexec/git-core/git-remote-https ]; then
- echo "ERROR: Built without https support"
- exit 1
+ termux_error_exit "Git built without https support"
fi
}
fi
}
diff --git
a/packages/libllvm/build.sh
b/packages/libllvm/build.sh
index e19378a866f66cb3cd29187ffcdad2fef7e3dfc5..dc3b9c1a70d484493e908b1dd98c0e0ee58617b2 100644
(file)
--- a/
packages/libllvm/build.sh
+++ b/
packages/libllvm/build.sh
@@
-74,8
+74,7
@@
termux_step_pre_configure () {
elif [ $TERMUX_ARCH = "x86_64" ]; then
LLVM_TARGET_ARCH=X86
else
elif [ $TERMUX_ARCH = "x86_64" ]; then
LLVM_TARGET_ARCH=X86
else
- echo "Invalid arch: $TERMUX_ARCH"
- exit 1
+ termux_error_exit "Invalid arch: $TERMUX_ARCH"
fi
# see CMakeLists.txt and tools/clang/CMakeLists.txt
TERMUX_PKG_EXTRA_CONFIGURE_ARGS+=" -DLLVM_DEFAULT_TARGET_TRIPLE=$LLVM_DEFAULT_TARGET_TRIPLE"
fi
# see CMakeLists.txt and tools/clang/CMakeLists.txt
TERMUX_PKG_EXTRA_CONFIGURE_ARGS+=" -DLLVM_DEFAULT_TARGET_TRIPLE=$LLVM_DEFAULT_TARGET_TRIPLE"
diff --git
a/packages/picolisp/build.sh
b/packages/picolisp/build.sh
index edad5b719d5e920e02411434d09a6d1c2ec89869..82e04c7bda458d8aedb5d641e2a572baf18dc813 100644
(file)
--- a/
packages/picolisp/build.sh
+++ b/
packages/picolisp/build.sh
@@
-28,9
+28,7
@@
fi
termux_step_pre_configure() {
# Validate that we have the right version:
grep -q "Version $_PICOLISP_YEAR $_PICOLISP_MONTH $_PICOLISP_DAY" src64/version.l || {
termux_step_pre_configure() {
# Validate that we have the right version:
grep -q "Version $_PICOLISP_YEAR $_PICOLISP_MONTH $_PICOLISP_DAY" src64/version.l || {
- echo "ERROR: Picolisp version needs to be bumped" 1>&2
- grep Version src64/version.l 1>&2
- exit 1
+ termux_error_exit "Picolisp version needs to be bumped"
}
if [ $TERMUX_ARCH_BITS = 64 ]; then
}
if [ $TERMUX_ARCH_BITS = 64 ]; then
diff --git
a/packages/python/build.sh
b/packages/python/build.sh
index a28bc01fc0f5e5e63538be2b902c84a689f3b74a..c597d38f099f7e4ce7c6caba96b886fa9ec309e7 100644
(file)
--- a/
packages/python/build.sh
+++ b/
packages/python/build.sh
@@
-77,8
+77,7
@@
termux_step_post_massage () {
# Verify that desired modules have been included:
for module in _ssl _bz2 zlib _curses _sqlite3 _lzma; do
if [ ! -f lib/python${_MAJOR_VERSION}/lib-dynload/${module}.*.so ]; then
# Verify that desired modules have been included:
for module in _ssl _bz2 zlib _curses _sqlite3 _lzma; do
if [ ! -f lib/python${_MAJOR_VERSION}/lib-dynload/${module}.*.so ]; then
- echo "ERROR: Python module library $module not built"
- exit 1
+ termux_error_exit "Python module library $module not built"
fi
done
fi
done